summaryrefslogtreecommitdiffstats
path: root/scripts/makepkg.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/makepkg.sh.in')
-rw-r--r--scripts/makepkg.sh.in5
1 files changed, 4 insertions, 1 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index af906608..67a3116f 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -2118,7 +2118,10 @@ create_package() {
if [[ -n ${!orig} ]]; then
msg2 "$(gettext "Adding %s file...")" "$orig"
- cp "$startdir/${!orig}" "$dest"
+ if ! cp "$startdir/${!orig}" "$dest"; then
+ error "$(gettext "Failed to add %s file to package.")" "$orig"
+ exit 1
+ fi
chmod 644 "$dest"
comp_files+=("$dest")
fi